#!/bin/sh
DIALOG=Xdialog

$DIALOG --title "INPUT BOX" \
        --inputbox "Hi, this is an input dialog box. You can use
this to ask questions that require the user
to input a string as the answer. You can
input strings of length longer than the
width of the input box, in that case, the
input field will be automatically scrolled.
You can use BACKSPACE to correct errors.\n
Try inputing your name below:" 20 45 2> /tmp/inputbox.tmp.$$

retval=$?

input=`cat /tmp/inputbox.tmp.$$`
rm -f /tmp/inputbox.tmp.$$

case $retval in
  0)
    echo "Input string is '$input'";;
  1)
    echo "Cancel pressed.";;
  255)
    echo "Box closed.";;
esac
